%define uname   FallingTime

Name:           fallingtime
Version:        1.0.2
Release:        %mkrel 2
Summary:        2-player arcade game inspired by Fall Down
Group:          Games/Arcade
License:        GPLv2+
URL:            https://github.com/cxong/FallingTime
Source0:        https://github.com/cxong/FallingTime/archive/%{version}/%{uname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

%description
A simple 2-player arcade game where you control a ball and fall through
gaps as long as you can.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake -DDATA_DIR=%{_gamesdatadir}/%{name}/
%cmake_build

%install
# Don't use make_install, it drops all in prefix with standalone distribution layout
install -D -m755 %{_vpath_builddir}/falling_time %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}/

install -D -m644 pkg/linux/io.github.cxong.fallingtime.desktop \
  %{buildroot}%{_datadir}/applications/io.github.cxong.%{name}.desktop
# install -D -m644 pkg/linux/fallingtime.png \
install -D -m644 data/graphics/icon.png \
   %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc  COPYRIGHT README.md
%{_datadir}/applications/io.github.cxong.%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1525536
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Apr 18 2019 akien <akien> 1.0.2-1.mga7
+ Revision: 1393240
- imported package fallingtime

